



if not exist %LIBRARY_LIB%\\gstreamer-1.0\\gstaiff.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %LIBRARY_LIB%\\gstreamer-1.0\\gstaudiovisualizers.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %LIBRARY_LIB%\\gstreamer-1.0\\gstcoloreffects.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %LIBRARY_LIB%\\gstreamer-1.0\\gstd3d.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %LIBRARY_LIB%\\gstreamer-1.0\\gstdirectsoundsrc.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %LIBRARY_LIB%\\gstreamer-1.0\\gstgeometrictransform.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %LIBRARY_LIB%\\gstreamer-1.0\\gstjpegformat.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %LIBRARY_LIB%\\gstreamer-1.0\\gstmpegpsmux.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %LIBRARY_LIB%\\gstreamer-1.0\\gstrtmp2.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %LIBRARY_LIB%\\gstreamer-1.0\\gstsndfile.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %LIBRARY_LIB%\\gstreamer-1.0\\gsttranscode.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %LIBRARY_LIB%\\gstreamer-1.0\\gstvideofiltersbad.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %LIBRARY_LIB%\\gstreamer-1.0\\gstvideoparsersbad.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %LIBRARY_LIB%\\gstreamer-1.0\\gstwasapi.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
gst-inspect-1.0 --plugin audiovisualizers
IF %ERRORLEVEL% NEQ 0 exit /B 1
exit /B 0
